mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.DES System.Runtime.InteropServices.ComVisible(true)

This algorithm supports a key length of 64 bits.

Defines a wrapper object to access the cryptographic service provider (CSP) version of the Data Encryption Standard () algorithm. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  In general you should not use this constructor directly - unless you require a special service from the class that isn't available from the base class. The prefered way to create a DES instance is to use . (). This will allow the system owners to replace the DES implementation if required (e.g. buggy implementation or hardware acceleration).

  // prefered DES des = DES.Create ();

  // not recommended DESCryptoServiceProvider des = new DESCryptoServiceProvider ();

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  This method decrypts an encrypted message that was created using the overload with the same parameters.

  Creates a symmetric Data Encryption Standard () decryptor object with the specified key () and initialization vector ().

  A symmetric decryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  Use the overload with the same parameters to decrypt the result of this method.

  Creates a symmetric Data Encryption Standard () encryptor object with the specified key () and initialization vector ().

  A symmetric encryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random when none is specified.

  Generates a random initialization vector () to use for the algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random key when none is specified. This method will never return a weak key (see ) or a semi-weak key (see ).

  This algorithm supports a key length of 64 bits.

  Generates a random key () to be used for the algorithm.